# (C) 2001-2025 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.




if {[get_current_instance] == ""} { set ipath "" } else { set ipath "[get_current_instance]|*" } 

post_message -type info "\[GMII-to-RGMII\] Following instance found in the design ---  $ipath"

create_generated_clock -name 2_5M_2MUX1 -source [get_pins ${ipath}u_txclk_i_clock_mux|u_clk0_gate|inclk] [get_pins ${ipath}u_txclk_i_clock_mux|outclk|combout]
create_generated_clock -name 25M_2MUX1 -source [get_pins ${ipath}u_txclk_i_clock_mux|u_clk1_gate|inclk] -divide_by 1 [get_pins ${ipath}u_txclk_i_clock_mux|outclk|combout] -add
set_clock_groups -logically_exclusive -group {2_5M_2MUX1} -group {25M_2MUX1}

set_false_path -from * -to [get_keepers -no_duplicates ${ipath}u_2_5m_clk_reset_sync|din_sync_2]
set_false_path -from * -to [get_keepers -no_duplicates ${ipath}u_2_5m_clk_reset_sync|din_sync_1]

set_false_path -from * -to [get_keepers -no_duplicates ${ipath}u_25m_clk_reset_sync|din_sync_1]
set_false_path -from * -to [get_keepers -no_duplicates ${ipath}u_25m_clk_reset_sync|din_sync_2]