if {[get_collection_size [get_nodes -nowarn sundancemesa_hps_inst~l4_main_clk]  ] > 0} { 
	 create_clock -name l4_main_clk_src -period 2.5 [get_nodes -nowarn sundancemesa_hps_inst~l4_main_clk] 
	 create_generated_clock -divide_by 1 -name l4_main_clk [get_registers sundancemesa_hps_inst~l4_main_clk.reg] -master_clock [get_clocks l4_main_clk_src] -source [get_nodes sundancemesa_hps_inst~l4_main_clk] 
} 
if {[get_collection_size [get_nodes -nowarn sundancemesa_hps_inst~l4_mp_clk]  ] > 0} { 
	 create_clock -name l4_mp_clk_src -period 5.0 [get_nodes -nowarn sundancemesa_hps_inst~l4_mp_clk] 
	 create_generated_clock -divide_by 1 -name l4_mp_clk [get_registers sundancemesa_hps_inst~l4_mp_clk.reg] -master_clock [get_clocks l4_mp_clk_src] -source [get_nodes sundancemesa_hps_inst~l4_mp_clk] 
} 
if {[get_collection_size [get_pins *|sundancemesa_hps_inst|emac1_phy_txclk_i]  ] > 0} { 
	 create_clock -name hps_emac1_gtx_clk_src -period 8.0 [get_pins *|sundancemesa_hps_inst|emac1_phy_txclk_i] 
	 create_generated_clock -divide_by 1 -name emac1_phy_txclk_o_hio [get_registers sundancemesa_hps_inst~emac1_rgmii_txclk_cm.reg] -master_clock [get_clocks hps_emac1_gtx_clk_src] -source [get_nodes sundancemesa_hps_inst~emac1_rgmii_txclk_cm] 
} 
if {[get_collection_size [get_nodes sundancemesa_hps_inst~l4_sp_clk]  ] > 0} { 
	 create_clock -add -name hps_emac1_mdc_clk_src -period 400.0 [get_nodes sundancemesa_hps_inst~l4_sp_clk] 
	 create_generated_clock -add -divide_by 1 -name emac1_gmii_mdc_o [get_registers sundancemesa_hps_inst~l4_sp_clk.reg] -master_clock [get_clocks hps_emac1_mdc_clk_src] -source [get_nodes sundancemesa_hps_inst~l4_sp_clk] 
} 
if {[get_collection_size [get_pins -nowarn -compatibility_mode  sundancemesa_hps_inst|f2s*irq*]  ] > 0} { 
 	 set_false_path -through [get_pins -nowarn -compatibility_mode  sundancemesa_hps_inst|f2s*irq*] -to [get_registers *clk*.reg]  
} 
if {[get_collection_size [get_pins -nowarn -compatibility_mode  sundancemesa_hps_inst|s2f*irq*]  ] > 0} { 
 	 set_false_path -through [get_pins -nowarn -compatibility_mode  sundancemesa_hps_inst|s2f*irq*] -from [get_registers *clk*.reg]  
} 
if {[get_collection_size [get_pins -compatibility_mode  sundancemesa_hps_inst|emac*rst_clk*]  ] > 0} { 
 	 set_false_path -through [get_pins -compatibility_mode  sundancemesa_hps_inst|emac*rst_clk*] -from [get_registers *clk*.reg]  
} 
if {[get_collection_size [get_pins -compatibility_mode  sundancemesa_hps_inst|emac*_phy_crs_i]  ] > 0} { 
 	 set_false_path -through [get_pins -compatibility_mode  sundancemesa_hps_inst|emac*_phy_crs_i] -to [get_registers *clk*.reg]  
} 
if {[get_collection_size [get_pins -compatibility_mode  sundancemesa_hps_inst|emac*_phy_col_i]  ] > 0} { 
 	 set_false_path -through [get_pins -compatibility_mode  sundancemesa_hps_inst|emac*_phy_col_i] -to [get_registers *clk*.reg]  
} 
